#include <QApplication>
#include <QIcon>
#include "core/MainWindow.h"

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    app.setApplicationName("BareCode");
    app.setApplicationVersion("1.1.0");
    app.setOrganizationName("BareCode");

    // Icon in allen verfügbaren Größen setzen
    QIcon appIcon;
    appIcon.addFile(":/icon_16.png",  QSize(16,  16));
    appIcon.addFile(":/icon_32.png",  QSize(32,  32));
    appIcon.addFile(":/icon_48.png",  QSize(48,  48));
    appIcon.addFile(":/icon_64.png",  QSize(64,  64));
    appIcon.addFile(":/icon_128.png", QSize(128, 128));
    appIcon.addFile(":/icon_256.png", QSize(256, 256));
    appIcon.addFile(":/icon_512.png", QSize(512, 512));
    app.setWindowIcon(appIcon);

    MainWindow window;
    window.show();

    return app.exec();
}
